
var VnObject = require('./object');
var Type = require('./type');

/**
 * Paramter specification.
 */
module.exports = new Class({
	Extends: VnObject
	,Tag: 'vn-spec'
	,Properties: {
		/**
		 * The parameter name.
		 */
		name: {
			type: String
			,set(x) {
				this._name = x;
			}
			,get() {
				return this._name;
			}
		},
		/**
		 * The parameter type.
		 */
		type: {
			type: Type
			,set(x) {
				this._type = x;
			}
			,get() {
				return this._type;
			}
		}
	}
});
